<?php
/**
 * File for the Utils
 *
 * @package zeus-gpt
 */

/**
 * Utils
 */
class ZeusGPTUtil {
	/**
	 * Retreives the date in the specified format with respect to timezone.
	 *
	 * @param  string $date - date string, use 'now' for the current time.
	 * @param  string $format - format for the date.
	 * @return string
	 */
	public static function get_date( $date, $format ) {
		$timezone      = new DateTimeZone( wp_timezone_string() );
		$date_instance = date_create( $date, $timezone );
		return $date_instance->format( $format );
	}
}
