<?php
/**
 * File for the openAI API
 *
 * @package zeus-gpt
 */

// API key class.
require_once ZEUS_GPT_PLUGIN_DIR . '/inc/services/class-zeusgptapikey.php';

/**
 * Class accessing the openAI API
 */
class ZeusGPTAPIAccess {

	/**
	 * OpenAI endpoint URL
	 *
	 * @var string
	 */
	private static $endpoint = 'https://api.openai.com/v1/chat/completions';


	/**
	 * Makes HTTP request to the openAI API.
	 *
	 * @param  array  $body - prompt and the system message.
	 * @param  string $key - API access key.
	 * @return object
	 */
	public static function request( $body, $key ) {
		$response = wp_remote_post(
			self::$endpoint,
			array(
				'timeout' => 1500,
				'headers' => array(
					'Content-Type'  => 'application/json',
					'Authorization' => 'Bearer ' . $key,
				),
				'body'    => wp_json_encode( $body ),
			)
		);

		return $response;
	}
}
