<?php
/**
 * File for the API key class
 *
 * @package zeus-gpt
 */

/**
 * Class responsible for the API key
 */
class ZeusGPTAPIKey {

	/**
	 * Stores the key in the database.
	 *
	 * @param  string $key - the API key.
	 * @return bool
	 */
	public static function set_key( $key ) {
		// check if the key exists.
		if ( get_option( 'gfx_zeus_api_key' ) ) {
			return update_option( 'gfx_zeus_api_key', $key, false );
		} else {
			return add_option( 'gfx_zeus_api_key', $key, '', false );
		}
	}

	/**
	 * Retrieves the key from the database.
	 *
	 * @return string
	 */
	public static function get_key() {
		return get_option( 'gfx_zeus_api_key' );
	}
}
