<?php
/**
 * Plugin Name:       ZeusGPT
 * Plugin URI:        https://codecanyon.net/user/gfxpartner
 * Description:       The power of OpenAI's most advanced language model at the palm of your hand. Allow site visitors to interact with ChatGPT or use it to generate content for your awesome website.
 * Version:           1.3.2
 * Requires at least: 5.2
 * Requires PHP:      7.2
 * Author:            20script
 * Author URI:        https://www.20script.ir
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       zeus-gpt
 * Domain Path:       /inc/languages
 *
 * @package zeus-gpt
 */

if ( ! function_exists( 'add_action' ) ) {
	wp_die(
		esc_html__( 'This file can not be accessed directly', 'zeus-gpt' ),
		esc_html__( 'Unauthorized access', 'zeus-gpt' )
	);
}

define( 'ZEUS_GPT_PLUGIN_URL', trailingslashit( plugin_dir_url( __FILE__ ) ) );
define( 'ZEUS_GPT_PLUGIN_DIR', dirname( __FILE__ ) );

require_once 'class-zeusgpt.php';

// Boarding class.
require_once ZEUS_GPT_PLUGIN_DIR . '/inc/services/class-zeusgptboarding.php';


new ZeusGPT();


/**
 * Responsible for running activation logic
 *
 * @return void
 */
function zeusgpt_activation_handler() {
	ZeusGPTBoarding::activation();
}

register_activation_hook( __FILE__, 'zeusgpt_activation_handler' );


/**
 * Responsible for running deactivation logic
 *
 * @return void
 */
function zeusgpt_deactivation_handler() {
	ZeusGPTBoarding::deactivation();
}

register_deactivation_hook( __FILE__, 'zeusgpt_deactivation_handler' );

/**
 * Responsible for running uninstall logic
 *
 * @return void
 */
function zeusgpt_uninstall_handler() {
	ZeusGPTBoarding::uninstall();
}

register_uninstall_hook( __FILE__, 'zeusgpt_uninstall_handler' );
