const { InspectorControls } = wp.blockEditor;

const { __ } = wp.i18n;

const {
    Panel,
    PanelBody,
    ColorPicker,
    TextControl,
    TextareaControl,
    ToggleControl,
} = wp.components;

import getContentSettings from './settings/content';
import getGeneralSettings from './settings/general';
import getPersonalMessageSettings from './settings/personal-message';
import getResponseMessage from './settings/response-message';
import getInputSettings from './settings/input';
import getButtonSettings from './settings/button';
import getWelcomeMessageSettings from './settings/welcome-message';
import getFixedIconSettings from './settings/fixed-icon';
import getCTASettings from './settings/cta';


const getSettings = (attributes, setAttributes) => {
    return (
        <InspectorControls>
            <Panel header={__('Customization', 'zeus-gpt')}>
                {/* Content - start */}
                {getContentSettings(attributes, setAttributes)}
                {/* Content - end */}

                {/* General - start */}
                {getGeneralSettings(attributes, setAttributes)}
                {/* General - end */}

                {/* Personal Message - start */}
                {getPersonalMessageSettings(attributes, setAttributes)}
                {/* Personal Message - end */}

                {/* Response Message - start */}
                {getResponseMessage(attributes, setAttributes)}
                {/* Response Message - end */}

                {/* Input - start */}
                {getInputSettings(attributes, setAttributes)}
                {/* Input - end */}

                {/* Button - start */}
                {getButtonSettings(attributes, setAttributes)}
                {/* Button - end */}

                {/* Welcome message - start */}
                {getWelcomeMessageSettings(attributes, setAttributes)}
                {/* Welcome message - end */}

                {/* Fixed icon - start  */}
                {getFixedIconSettings(attributes, setAttributes)}
                {/* Fixed icon - end */}

                {/* CTA - start  */}
                {getCTASettings(attributes, setAttributes)}
                {/* CTA - end  */}
            </Panel>
        </InspectorControls>
    );
};

export default getSettings;
