const { __ } = wp.i18n;
const { PanelBody, TabPanel, ColorPicker, TextareaControl } = wp.components;

const getButtonSettings = (attributes, setAttributes) => {
    return (
        <PanelBody title={__('Button', 'zeus-gpt')} initialOpen={false}>
            <TextareaControl
                label={__('Icon', 'zeus-gpt')}
                help={__('Add the SVG HTML element for the icon.', 'zeus-gpt')}
                value={attributes.buttonIcon}
                onChange={(value) => setAttributes({ buttonIcon: value })}
            />

            <TabPanel
                tabs={[
                    { name: 'normal', title: __('Normal', 'zeus-gpt') },
                    { name: 'hover', title: __('Hover', 'zeus-gpt') },
                ]}
            >
                {(tab) => {
                    if (tab.name === 'normal') {
                        return (
                            <>
                                {/* background color control - start */}
                                <p style={{ marginTop: '30px' }}>
                                    <strong>
                                        {__('Background Color', 'zeus-gpt')}
                                    </strong>
                                </p>
                                <ColorPicker
                                    color={attributes.buttonBackgroundColor}
                                    onChange={(color) => {
                                        setAttributes({
                                            buttonBackgroundColor: color,
                                        });
                                    }}
                                />
                                {/* background color control - end */}
                                {/* text color control - start */}
                                <p>
                                    <strong>
                                        {__('Text Color', 'zeus-gpt')}
                                    </strong>
                                </p>
                                <ColorPicker
                                    color={attributes.buttonTextColor}
                                    onChange={(color) => {
                                        setAttributes({
                                            buttonTextColor: color,
                                        });
                                    }}
                                />
                                {/* text color control - end */}
                            </>
                        );
                    } else {
                        return (
                            <>
                                {/* background color control - start */}
                                <p style={{ marginTop: '30px' }}>
                                    <strong>
                                        {__('Background Color', 'zeus-gpt')}
                                    </strong>
                                </p>
                                <ColorPicker
                                    color={
                                        attributes.buttonBackgroundColorHover
                                    }
                                    onChange={(color) => {
                                        setAttributes({
                                            buttonBackgroundColorHover: color,
                                        });
                                    }}
                                />
                                {/* background color control - end */}
                                {/* text color control - start */}
                                <p>
                                    <strong>
                                        {__('Text Color', 'zeus-gpt')}
                                    </strong>
                                </p>
                                <ColorPicker
                                    color={attributes.buttonTextColorHover}
                                    onChange={(color) => {
                                        setAttributes({
                                            buttonTextColorHover: color,
                                        });
                                    }}
                                />
                                {/* text color control - end */}
                            </>
                        );
                    }
                }}
            </TabPanel>
        </PanelBody>
    );
};

export default getButtonSettings;
