const { __ } = wp.i18n;

const {
    PanelBody,
    TextControl,
    TextareaControl,
    ToggleControl,
    SelectControl,
} = wp.components;

const getContentSettings = (attributes, setAttributes) => {
    return (
        <PanelBody title={__('Content', 'zeus-gpt')}>
            <ToggleControl
                label={__('Display in corner', 'zeus-gpt')}
                checked={attributes.displayFixed}
                onChange={() =>
                    setAttributes({
                        displayFixed: !attributes.displayFixed,
                    })
                }
            />
            {attributes.displayFixed ? (
                <ToggleControl
                    label={__('Left Corner', 'zeus-gpt')}
                    checked={attributes.displayleftCorner}
                    onChange={() =>
                        setAttributes({
                            displayleftCorner: !attributes.displayleftCorner,
                        })
                    }
                />
            ) : (
                ''
            )}
            <TextareaControl
                label={__('Behaviour', 'zeus-gpt')}
                placeholder={__(
                    'Example: Your name is John Doe. You are head of marketing.',
                    'zeus-gpt'
                )}
                value={attributes.PromptBehaviour}
                onChange={(text) => setAttributes({ PromptBehaviour: text })}
            />
            <TextControl
                label={__('Prompt Placeholder', 'zeus-gpt')}
                value={attributes.PromptPlaceholder}
                onChange={(text) => setAttributes({ PromptPlaceholder: text })}
            />
            <TextControl
                label={__('Welcome Message', 'zeus-gpt')}
                value={attributes.welcomeMessage}
                onChange={(text) => setAttributes({ welcomeMessage: text })}
            />
            <SelectControl
                label={__('Welcome Message Tag', 'zeus-gpt')}
                onChange={(value) =>
                    setAttributes({ welcomeMessageTag: value })
                }
                value={attributes.welcomeMessageTag}
                options={[
                    {
                        label: 'H1',
                        value: 'h1',
                    },
                    {
                        label: 'H2',
                        value: 'h2',
                    },
                    {
                        label: 'H3',
                        value: 'h3',
                    },
                    {
                        label: 'H4',
                        value: 'h4',
                    },
                    {
                        label: 'H5',
                        value: 'h5',
                    },
                    {
                        label: 'H6',
                        value: 'h6',
                    },
                    {
                        label: 'P',
                        value: 'p',
                    },
                    {
                        label: 'SPAN',
                        value: 'span',
                    },
                ]}
            />
        </PanelBody>
    );
};

export default getContentSettings;
