const { __ } = wp.i18n;
const { PanelBody, TabPanel, ColorPicker, TextareaControl, TextControl } = wp.components;

const getCTASettings = (attributes, setAttributes) => {
    return (
        <PanelBody title={__('Call to Action', 'zeus-gpt')} initialOpen={false}>

            <TextControl
                label={__('Link', 'zeus-gpt')}
                value={attributes.ctaLink}
                onChange={(text) => setAttributes({ ctaLink: text })}
            />

            <TextareaControl
                label={__('Icon', 'zeus-gpt')}
                help={__('Add the SVG HTML element for the icon.', 'zeus-gpt')}
                value={attributes.ctaIcon}
                onChange={(value) => setAttributes({ ctaIcon: value })}
            />

            <TabPanel
                tabs={[
                    { name: 'normal', title: __('Normal', 'zeus-gpt') },
                    { name: 'hover', title: __('Hover', 'zeus-gpt') },
                ]}
            >
                {(tab) => {
                    if (tab.name === 'normal') {
                        return (
                            <>
                                {/* background color control - start */}
                                <p style={{ marginTop: '30px' }}>
                                    <strong>
                                        {__('Background Color', 'zeus-gpt')}
                                    </strong>
                                </p>
                                <ColorPicker
                                    color={attributes.ctaBgColor}
                                    onChange={(color) => {
                                        setAttributes({
                                            ctaBgColor: color,
                                        });
                                    }}
                                />
                                {/* background color control - end */}
                                {/* text color control - start */}
                                <p>
                                    <strong>
                                        {__('Text Color', 'zeus-gpt')}
                                    </strong>
                                </p>
                                <ColorPicker
                                    color={attributes.ctaIconColor}
                                    onChange={(color) => {
                                        setAttributes({
                                            ctaIconColor: color,
                                        });
                                    }}
                                />
                                {/* text color control - end */}
                            </>
                        );
                    } else {
                        return (
                            <>
                                {/* background color control - start */}
                                <p style={{ marginTop: '30px' }}>
                                    <strong>
                                        {__('Background Color', 'zeus-gpt')}
                                    </strong>
                                </p>
                                <ColorPicker
                                    color={
                                        attributes.ctaBgColorHover
                                    }
                                    onChange={(color) => {
                                        setAttributes({
                                            ctaBgColorHover: color,
                                        });
                                    }}
                                />
                                {/* background color control - end */}
                                {/* text color control - start */}
                                <p>
                                    <strong>
                                        {__('Text Color', 'zeus-gpt')}
                                    </strong>
                                </p>
                                <ColorPicker
                                    color={attributes.ctaIconColorHover}
                                    onChange={(color) => {
                                        setAttributes({
                                            ctaIconColorHover: color,
                                        });
                                    }}
                                />
                                {/* text color control - end */}
                            </>
                        );
                    }
                }}
            </TabPanel>
        </PanelBody>
    );
};

export default getCTASettings;
