const { __ } = wp.i18n;
const { PanelBody, ColorPicker } = wp.components;

const getInputSettings = (attributes, setAttributes) => {
    return (
        <PanelBody title={__('Input', 'zeus-gpt')} initialOpen={false}>
            {/* background color control - start */}
            <p>
                <strong>{__('Background Color', 'zeus-gpt')}</strong>
            </p>
            <ColorPicker
                color={attributes.inputBackgroundColor}
                onChange={(color) => {
                    setAttributes({ inputBackgroundColor: color });
                }}
            />
            {/* background color control - end */}
            {/* border color control - start */}
            <p>
                <strong>{__('Border Color', 'zeus-gpt')}</strong>
            </p>
            <ColorPicker
                color={attributes.inputBorderColor}
                onChange={(color) => {
                    setAttributes({ inputBorderColor: color });
                }}
            />
            {/* border color control - end */}
            {/* text color control - start */}
            <p>
                <strong>{__('Text Color', 'zeus-gpt')}</strong>
            </p>
            <ColorPicker
                color={attributes.inputTextColor}
                onChange={(color) => {
                    setAttributes({ inputTextColor: color });
                }}
            />
            {/* text color control - end */}
            {/* text color control - start */}
            <p>
                <strong>{__('Shadow Color', 'zeus-gpt')}</strong>
            </p>
            <ColorPicker
                color={attributes.inputShadowColor}
                onChange={(color) => {
                    setAttributes({ inputShadowColor: color });
                }}
            />
            {/* text color control - end */}
        </PanelBody>
    );
};

export default getInputSettings;
