const { __ } = wp.i18n;
const { PanelBody, ColorPicker } = wp.components;

const getPersonalMessageSettings = (attributes, setAttributes) => {
    return (
        <PanelBody
            title={__('Personal Message', 'zeus-gpt')}
            initialOpen={false}
        >
            {/* background color control - start */}
            <p>
                <strong>{__('Background Color', 'zeus-gpt')}</strong>
            </p>
            <ColorPicker
                color={attributes.personalBackgroundColor}
                onChange={(color) => {
                    setAttributes({
                        personalBackgroundColor: color,
                    });
                }}
            />
            {/* background color control - end */}

            {/* text color control - start */}
            <p>
                <strong>{__('Text Color', 'zeus-gpt')}</strong>
            </p>
            <ColorPicker
                color={attributes.personalTextColor}
                onChange={(color) => {
                    setAttributes({ personalTextColor: color });
                }}
            />
            {/* text color control - end */}
        </PanelBody>
    );
};

export default getPersonalMessageSettings;
