const { __ } = wp.i18n;
const { PanelBody, ColorPicker } = wp.components;

const getResponseMessage = (attributes, setAttributes) => {
    return (
        <PanelBody
            title={__('Response Message', 'zeus-gpt')}
            initialOpen={false}
        >
            {/* background color control - start */}
            <p>
                <strong>{__('Background Color', 'zeus-gpt')}</strong>
            </p>
            <ColorPicker
                color={attributes.responseBackgroundColor}
                onChange={(color) => {
                    setAttributes({
                        responseBackgroundColor: color,
                    });
                }}
            />
            {/* background color control - end */}

            {/* text color control - start */}
            <p>
                <strong>{__('Text Color', 'zeus-gpt')}</strong>
            </p>
            <ColorPicker
                color={attributes.responseTextColor}
                onChange={(color) => {
                    setAttributes({ responseTextColor: color });
                }}
            />
            {/* text color control - end */}
        </PanelBody>
    );
};

export default getResponseMessage;
