const { __ } = wp.i18n;
const { PanelBody, ColorPicker, TextareaControl } = wp.components;

const getWelcomeMessageSettings = (attributes, setAttributes) => {
    return (
        <PanelBody
            title={__('Welcome Message', 'zeus-gpt')}
            initialOpen={false}
        >
            <TextareaControl
                label={__('Icon', 'zeus-gpt')}
                help={__('Add the SVG HTML element for the icon.', 'zeus-gpt')}
                value={attributes.welcomeIcon}
                onChange={(value) => setAttributes({ welcomeIcon: value })}
            />

            {/* message color control - start */}
            <p>
                <strong>{__('Message color', 'zeus-gpt')}</strong>
            </p>
            <ColorPicker
                color={attributes.welcomeMessageColor}
                onChange={(color) => {
                    setAttributes({ welcomeMessageColor: color });
                }}
            />
            {/* message color control - end */}
            {/* icon color control - start */}
            <p>
                <strong>{__('Icon Color', 'zeus-gpt')}</strong>
            </p>
            <ColorPicker
                color={attributes.welcomeIconColor}
                onChange={(color) => {
                    setAttributes({ welcomeIconColor: color });
                }}
            />
            {/* icon color control - end */}
            {/* icon background color control - start */}
            <p>
                <strong>{__('Icon Background Color', 'zeus-gpt')}</strong>
            </p>
            <ColorPicker
                color={attributes.welcomeIconBackgroundColor}
                onChange={(color) => {
                    setAttributes({
                        welcomeIconBackgroundColor: color,
                    });
                }}
            />
            {/* icon background color control - end */}
        </PanelBody>
    );
};

export default getWelcomeMessageSettings;
