import chat from './scripts/chat';
import ChatHandler from './scripts/chat';

const SERVICES = [ChatHandler];

window.addEventListener('load', () => {
    SERVICES.forEach((service) => {
        service();
    });
});

const hidePanel = () => {
    const chatEls = document.querySelectorAll(
        '.gfx-zeus-chat-container-fixed.gfx-zeus-visible'
    );
    if (chatEls.length < 1) return;
    chatEls.forEach((chatEl) =>
        chatEl.classList.remove('gfx-zeus-visible')
    );
}

document.addEventListener('click', (e) => {
    // is open icon
    const target = e.target.closest('.gfx-zeus-fixed-icon');
    if (target) {
        const container = target.closest('.gfx-zeus-chat-container-fixed');
        if (container == null) return;
        container.classList.toggle('gfx-zeus-visible');
    } else if (e.target.closest('.gfx-zeus-chat-container-fixed') && ! e.target.closest('.gfx-zeus-chat-container') && ! target) {
        hidePanel();
    } else if (!e.target.closest('.gfx-zeus-chat-container-fixed')) {
        hidePanel();
    } 
});
