export default () => {
    const pickers = document.querySelectorAll('.gfxzp-color-picker');
    if (pickers == null) return;
    pickers.forEach((picker) => {
        const value = picker.dataset.value;
        if (value == null) return;
        const obj = colorjoe.rgb(picker, value);
        obj.on('change', (instance) => {
            const style = instance.css();

            const container = picker.closest('.color-pallete');
            if (container == null) return;
            const targetID = container.dataset.target;
            if (targetID == null) return;
            const targetEl = document.querySelector(targetID);

            targetEl.value = style;
            picker.dataset.value = style;
            picker.parentElement.style.setProperty('background-color', style);
            targetEl.dispatchEvent(new Event('change'));
        });
    });
};
